Kerbal Space Program - Bug #26946

Decoupling an Oct Tag causes an error and have the decoupled craft accelerate away from the planet
in a radial out direction when changed to (as per T0zzle's Twitch Stream)

12/29/2020 07:53 PM - Anth12

Status: New Start date: 12/30/2020
Severity: Low % Done: 0%
Assignee:

Category: Parts

Target version:

Version: 1.11.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

GOG KSP 1.11.0 (No Mods/No DLCs)

If anyone watched T0zzle's Twitch Stream yesterday (Maxsimal) she decoupled a rover from a larger craft and changed to the rover.
It then seemed to travel away from the other craft at speed (even though the orbital speed said it was 0m/s)

| determined it to be the oct tag after some testing.
Doesnt happen in 1.10.1

Video Evidence:

https://youtu.be/QBpP1jvdnjw

Work Around:
Using the Debug menu and Rendezvous will fix the problem

History

#1 - 12/29/2020 10:20 PM - Anth12

| know it does this consistently for oct tags. it might do it for other parts as well?
Note that the Oct Tag always seems to report the following in the log file, could it be related?
The effective box size has been forced positive and is likely to give unexpected collision geometry.

If you absolutely need to use negative scaling you can use the convex MeshCollider. Scene hierarchy path
"Decoupler.1/strutCube/model/cubestrut”

#2 - 12/30/2020 03:16 AM - Anth12

This applies to both the Octagonal Strut and the Cubic Octagonal Strut.
Both show the error relating to negative scaling

#3 - 01/22/2021 08:14 AM - Anth12

ignore the

"The effective box size has been forced positive and is likely to give unexpected collision geometry.
If you absolutely need to use negative scaling you can use the convex MeshCollider."

| think this is related to #26971
#4 - 01/23/2021 10:08 PM - Anonymous
The error message "...unexpected collision geometry" in the logs referring to the (cubic)octagonal struts has been there since at least version 1.7.3

(Maybe that is the reason for the "Ignore the..." in comment #3. We can still go back and edit our own comments on this tracker.)

#5 - 01/25/2021 03:33 AM - Anth12

Looking at other bugs, | determined that the error | specified is most likely not related.
https://youtu.be/QBpP1jvJnjw
https://bugs.kerbalspaceprogram.com/issues/26971

When | first saw this happen | thought it only applied to the Octagonal Strut and the Cubic Octagonal Strut. It doesnt

Thats why | said to ignore that

#7 - 04/28/2021 03:39 PM - ElectroLlama
This is the a duplicate to a bug that is currently being worked on: https:/bugs.kerbalspaceprogram.com/issues/26926

Files
Oct Tag Bug Save File.sfs 127 KB 12/29/2020 Anth12
screenshot66.png 1.93 MB 12/29/2020 Anth12
